import { PublicKey } from '@metaplex-foundation/umi';
import { AssetBurnMulti, AssetBurnMultiArgs } from '../generated';
import { GuardManifest } from '../guards';
/**
 * The assetBurn guard restricts the mint to holders of a predefined
 * Collection and burns the holder's asset(s) when minting.
 *
 */
export declare const assetBurnMultiGuardManifest: GuardManifest<AssetBurnMultiArgs, AssetBurnMulti, AssetBurnMultiMintArgs>;
export declare type AssetBurnMultiMintArgs = Omit<AssetBurnMultiArgs, 'num'> & {
    /**
     * The address of the asset(s) to burn.
     * This must be part of the required collection and must
     * belong to the payer.
     */
    assets: PublicKey[];
};
