"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assetBurnMultiGuardManifest = void 0;
const generated_1 = require("../generated");
const guards_1 = require("../guards");
/**
 * The assetBurn guard restricts the mint to holders of a predefined
 * Collection and burns the holder's asset(s) when minting.
 *
 */
exports.assetBurnMultiGuardManifest = {
    name: 'assetBurnMulti',
    serializer: generated_1.getAssetBurnMultiSerializer,
    mintParser: (context, mintContext, args) => {
        const remainingAccounts = [];
        remainingAccounts.push({
            publicKey: args.requiredCollection,
            isWritable: true,
        });
        args.assets.forEach((asset) => {
            remainingAccounts.push({ publicKey: asset, isWritable: true });
        });
        return { data: new Uint8Array(), remainingAccounts };
    },
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=assetBurnMulti.js.map