import { PublicKey } from '@metaplex-foundation/umi';
import { AssetGate, AssetGateArgs } from '../generated';
import { GuardManifest } from '../guards';
/**
 * The assetGate guard restricts minting to holders
 * of a specified NFT collection.
 *
 * This means the mint address of an NFT from this
 * collection must be passed when minting.
 */
export declare const assetGateGuardManifest: GuardManifest<AssetGateArgs, AssetGate, AssetGateMintArgs>;
export declare type AssetGateMintArgs = {
    /**
     * The address of an Asset from the required
     * collection that belongs to the payer.
     */
    asset: PublicKey;
};
