"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assetGateGuardManifest = void 0;
const generated_1 = require("../generated");
const guards_1 = require("../guards");
/**
 * The assetGate guard restricts minting to holders
 * of a specified NFT collection.
 *
 * This means the mint address of an NFT from this
 * collection must be passed when minting.
 */
exports.assetGateGuardManifest = {
    name: 'assetGate',
    serializer: generated_1.getAssetGateSerializer,
    mintParser: (context, mintContext, args) => ({
        data: new Uint8Array(),
        remainingAccounts: [{ publicKey: args.asset, isWritable: false }],
    }),
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=assetGate.js.map