import { PublicKey } from '@metaplex-foundation/umi';
import { AssetMintLimit, AssetMintLimitArgs } from '../generated';
import { GuardManifest } from '../guards';
/**
 * The assetMintLimit guard allows to specify a limit on the
 * number of mints for a specific NFT mint.
 *
 * The limit is set per NFT mint, per candy machine and per
 * identified (provided in the settings) to allow multiple
 * NFT mint limits within a Candy Machine. This is particularly
 * useful when using groups of guards and we want each of them
 * to have a different NFT mint limit.
 */
export declare const assetMintLimitGuardManifest: GuardManifest<AssetMintLimitArgs, AssetMintLimit, AssetMintLimitMintArgs>;
export declare type AssetMintLimitMintArgs = {
    /**
     * The id of the NFT mint limit.
     */
    id: number;
    /**
     * The mint address of an NFT from the required
     * collection that belongs to the minter.
     */
    asset: PublicKey;
};
