import { PublicKey } from '@metaplex-foundation/umi';
import { AssetPaymentMulti, AssetPaymentMultiArgs } from '../generated';
import { GuardManifest } from '../guards';
/**
 * The assetPayment guard restricts the mint to holders of a predefined
 * Collection and burns the holder's asset(s) when minting.
 *
 */
export declare const assetPaymentMultiGuardManifest: GuardManifest<AssetPaymentMultiArgs, AssetPaymentMulti, AssetPaymentMultiMintArgs>;
export declare type AssetPaymentMultiMintArgs = Omit<AssetPaymentMultiArgs, 'num'> & {
    /**
     * The address of the asset(s) to pay.
     * This must be part of the required collection and must
     * belong to the payer.
     */
    assets: PublicKey[];
};
