"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vanityMintGuardManifest = void 0;
const serializers_1 = require("@metaplex-foundation/umi/serializers");
const errors_1 = require("../errors");
const generated_1 = require("../generated");
const guards_1 = require("../guards");
/**
 * The vanityMint guard verifies that the new asset
 * address matches the provided regex.
 */
exports.vanityMintGuardManifest = {
    name: 'vanityMint',
    serializer: () => (0, serializers_1.mapSerializer)((0, serializers_1.fixSerializer)((0, generated_1.getVanityMintSerializer)(), 4 + 100), (value) => {
        if (value.regex.length > 100) {
            throw new errors_1.ExceededRegexLengthError();
        }
        return value;
    }),
    mintParser: guards_1.noopParser,
    routeParser: guards_1.noopParser,
};
//# sourceMappingURL=vanityMint.js.map